package org.springblade.third.iotdevice.constant;

import java.util.HashMap;
import java.util.Map;

/**
 * @author lidexi
 * @date 2021/6/7 14:26
 */

public class PepComponentMetric {

	public static Map<String,String> SMOKE = new HashMap<>();
	public static Map<String,String> SMOKEMODEL = new HashMap<>();

	static {

		/**               烟感                **/
		SMOKE.put("electric_quantity","电量%");
		SMOKE.put("signal_intensity","信号强度");
		SMOKE.put("signalECL","信号器");
		SMOKE.put("signalSNR","信噪比");
		SMOKE.put("temperature","温度");

		/**            烟感-物模型         **/
		SMOKEMODEL.put("signalPower","信号强度");
		SMOKEMODEL.put("snr","信噪比");
		SMOKEMODEL.put("tx_Power","终端发射功率");
		SMOKEMODEL.put("cell_ID","小区位置信息");
		SMOKEMODEL.put("smoke_value","烟雾浓度% ");
		SMOKEMODEL.put("battery_value","电池电量%");
		SMOKEMODEL.put("muffling","消音");
		SMOKEMODEL.put("heartbeat_time","心跳周期h ");
		SMOKEMODEL.put("manufacturer_name","厂家名称");
		SMOKEMODEL.put("terminal_type","终端型号");
		SMOKEMODEL.put("IMEI","IMEI");
		SMOKEMODEL.put("IMSI","IMSI");
		SMOKEMODEL.put("ICCID","ICCID");
		SMOKEMODEL.put("software_version","软件版本");
		SMOKEMODEL.put("hardware_version","硬件版本");
		SMOKEMODEL.put("rsrp","参考信号接收功率");
		SMOKEMODEL.put("sinr","信噪比");
		SMOKEMODEL.put("pci","物理小区标识");
		SMOKEMODEL.put("ecl","线信号覆盖等级");
		SMOKEMODEL.put("battery_voltage","电池电压(V)");



	}

}
